GROUPADD(8)

NOME
groupadd - crea un nuovo gruppo

SINOSSI

groupadd [opzioni] gruppo

DESCRIZIONE

Il comando groupadd crea un nuovo account di gruppo usando i valori specificati sulla riga di comando ed i valori predefiniti dal sistema. Il nuovo gruppo verrà aggiunto ai file di sistema secondo necessità.

OPZIONI

Il comando groupadd accetta le seguenti opzioni:

-f, --force
    Questa opzione fa sì che il comando esca con esito positivo nel caso che il gruppo esista già. Quando utilizzato con l'opzione -g, e il GID specificato esiste, un altro GID (univoco) viene scelto (cioè -g viene ignorato).

"-g, --gid GID
    Il valore numerico dell'identificatore (ID) del gruppo. Questo valore deve essere univoco, a meno che non venga usata l'opzione -o. Il valore deve essere non-negativo. La scelta predefinita è quella di usare il minimo valore di ID maggiore o eguale a GID_MIN e superiore a qualunque altro gruppo.

    Vedere anche l'opzione -r e la descrizione di GID_MAX.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-K, --key KEY=VALUE.
    Ha la precedenza sui valori predefiniti (GID_MIN, GID_MAX e altri) definiti in /etc/login.defs. Più opzioni -K possono essere specificate.

    Esempio: -K GID_MIN=100 -K GID_MAX=499

    Nota: -K GID_MIN=10,GID_MAX=499 non funziona ancora.

-o, --non-unique
    Questa opzione permette di aggiungere un gruppo con un GID non univoco.

-p, --password PASSWORD
    La password cifrata, come restituita da crypt(3). Il comportamento predefinito è di disabilitare la password.

    Nota: questa opzione non è consigliata perché la password (o password cifrata) sarà visibile agli utenti che elencano i processi.

    Ci si deve accertare che la password rispetti le norme delle password del sistema.

-r, --system
    Crea un gruppo di sistema.

    L'identificativo numerico del nuovo gruppo di sistema è scelto nell'intervallo SYS_GID_MIN-SYS_GID_MAX definito in login.defs, al posto di GID_MIN-GID_MAX.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

GID_MAX (numerico), GID_MIN (numerico)
    Intervallo di ID di gruppo per la creazione di gruppi normali tramite useradd, groupadd o newusers.

    Il valore predefinito per GID_MIN (rispettivamente GID_MAX) è 1000 (rispettivmente 60000).

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

SYS_GID_MAX (numerico), SYS_GID_MIN (numerico)
    Intervallo di ID di gruppo utilizzato per la creazione di un gruppo di sistema da useradd, groupadd o newusers.

    Il valore predefinito per SYS_GID_MIN (rispettivamente SYS_GID_MAX) è 101 (rispettivamente GID_MIN-1).

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

AVVISI/CAVEAT

It is usually recommended to only use groupnames that begin with a lower case letter or an underscore, followed by lower case letters, digits, underscores, or dashes. They can end with a dollar sign. In regular expression terms: [a-z_][a-z0-9_-]*[$]?

On Debian, the only constraints are that groupnames must neither start with a dash ('-') nor plus ('+') nor tilde ('~') nor contain a colon (':'), a comma (','), or a whitespace (space:' ', end of line: '\n', tabulation: '\t', etc.).

I nomi di gruppo possono essere al massimo di 32 caratteri.

Non è possibile aggiungere un gruppo NIS o LDAP. Questo deve essere fatto sul server corrispondente.

Se il nome di gruppo esiste già in un database esterno come quello NIS o LDAP, groupadd negherà la richiesta di creazione del gruppo.

VALORI RESTITUITI

Il comando groupadd restituisce i seguenti valori:

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).